### Method

# WebKit WebView is_ephemeral

since: 2.16

#### Declaration [src]

    gboolean
    webkit_web_view_is_ephemeral (
      WebKitWebView* web_view
    )

#### Description [src]

Get whether a `WebKitWebView` is ephemeral.

To create an ephemeral `WebKitWebView` you need to use `g_object_new()` and pass is-ephemeral property with `TRUE` value. See `WebKitWebView:is-ephemeral` for more details. If `web_view` was created with a ephemeral `WebKitWebView:related-view` or an ephemeral `WebKitWebView:web-context` it will also be ephemeral.

Available since: 2.16

#### Return value

Type: `gboolean`

`TRUE` if `web_view` is ephemeral or `FALSE` otherwise.